InjectableValues.Std
Date: 2016-12-04

com.fasterxml.jackson.databind

## Class InjectableValues.Std

- java.lang.Object
- - com.fasterxml.jackson.databind.InjectableValues
  - - com.fasterxml.jackson.databind.InjectableValues.Std

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    InjectableValues

      public static class InjectableValues.Std
      extends InjectableValues
      implements java.io.Serializable

  Simple standard implementation which uses a simple Map to store values to inject, identified by simple String keys.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.InjectableValues

      `InjectableValues.Std`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `_values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InjectableValues.Std()`
    `InjectableValues.Std(java.util.Map<java.lang.String,java.lang.Object> values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InjectableValues.Std` | `addValue(java.lang.Class<?> classKey, java.lang.Object value)`
    `InjectableValues.Std` | `addValue(java.lang.String key, java.lang.Object value)`
    `java.lang.Object` | `findInjectableValue(java.lang.Object valueId, DeserializationContext ctxt, BeanProperty forProperty, java.lang.Object beanInstance)` Method called to find value identified by id `valueId` to inject as value of specified property during deserialization, passing POJO instance in which value will be injected if it is available (will be available when injected via field or setter; not available when injected via constructor or factory method argument).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _values

          protected final java.util.Map<java.lang.String,java.lang.Object> _values

  - ### Constructor Detail

    - #### InjectableValues.Std

          public InjectableValues.Std()

    - #### InjectableValues.Std

          public InjectableValues.Std(java.util.Map<java.lang.String,java.lang.Object> values)

  - ### Method Detail

    - #### addValue

          public InjectableValues.Std addValue(java.lang.String key,
                                      java.lang.Object value)

    - #### addValue

          public InjectableValues.Std addValue(java.lang.Class<?> classKey,
                                      java.lang.Object value)

    - #### findInjectableValue

          public java.lang.Object findInjectableValue(java.lang.Object valueId,
                                             DeserializationContext ctxt,
                                             BeanProperty forProperty,
                                             java.lang.Object beanInstance)

      Description copied from class: `InjectableValues`
      Method called to find value identified by id `valueId` to inject as value of specified property during deserialization, passing POJO instance in which value will be injected if it is available (will be available when injected via field or setter; not available when injected via constructor or factory method argument).
      Specified by:
        `findInjectableValue` in class `InjectableValues`
      Parameters:
        `valueId` - Object that identifies value to inject; may be a simple name or more complex identifier object, whatever provider needs
        `ctxt` - Deserialization context
        `forProperty` - Bean property in which value is to be injected
        `beanInstance` - Bean instance that contains property to inject, if available; null if bean has not yet been constructed.